Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SchemaField

All Known Subinterfaces:
  SchemaGlobalAttribute, SchemaGlobalElement, SchemaLocalAttribute, SchemaLocalElement

All Known Implementing Classes:
  SchemaGlobalAttributeImpl, SchemaGlobalElementImpl, SchemaLocalAttributeImpl, SchemaLocalElementImpl

    public interface SchemaField

Represents an element or an attribute declaration.

See Also:
  `SchemaType.getContainerField()`, `SchemaLocalElement`, `SchemaLocalAttribute`

Method Summary
`java.lang.String` | `getDefaultText()` The default value as plain text.
`XmlAnySimpleType` | `getDefaultValue()` The default value as a strongly-typed value.
`java.math.BigInteger` | `getMaxOccurs()` Returns the maxOccurs value for this particle, or null if it is unbounded.
`java.math.BigInteger` | `getMinOccurs()` Returns the minOccurs value for this particle.
`javax.xml.namespace.QName` | `getName()` Returns the form-unqualified-or-qualified name.
`SchemaType` | `getType()` Returns the type of this use.
`java.lang.Object` | `getUserData()` Returns user-specific information.
`boolean` | `isAttribute()` True if this use is an attribute
`boolean` | `isDefault()` True if a default is supplied.
`boolean` | `isFixed()` True if the value is fixed.
`boolean` | `isNillable()` True if nillable; always false for attributes.

Method Detail

### getName

    javax.xml.namespace.QName getName()

  Returns the form-unqualified-or-qualified name.

### isAttribute

    boolean isAttribute()

  True if this use is an attribute

### isNillable

    boolean isNillable()

  True if nillable; always false for attributes.

### getType

    SchemaType getType()

  Returns the type of this use.

### getMinOccurs

    java.math.BigInteger getMinOccurs()

  Returns the minOccurs value for this particle. If it is not specified explicitly, this defaults to BigInteger.ONE.

### getMaxOccurs

    java.math.BigInteger getMaxOccurs()

  Returns the maxOccurs value for this particle, or null if it is unbounded. If it is not specified explicitly, this defaults to BigInteger.ONE.

### getDefaultText

    java.lang.String getDefaultText()

  The default value as plain text. See `isDefault()` and `isFixed()`.

### getDefaultValue

    XmlAnySimpleType getDefaultValue()

  The default value as a strongly-typed value. See `isDefault()` and `isFixed()`.

### isDefault

    boolean isDefault()

  True if a default is supplied. If `isFixed()`, then isDefault is always true.

### isFixed

    boolean isFixed()

  True if the value is fixed.

### getUserData

    java.lang.Object getUserData()

  Returns user-specific information.

  See Also:
    `SchemaBookmark`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD